当前位置: > CentOS教程 > 软件安装教程 >

CentOS6.5安装puppet

时间:2014-08-19 01:15来源:blog.csdn.net 作者:lixwjava 举报 点击:

centos6.5(32位)  ruby可以直接安装(yum install ruby)

安装puppet的时候先要设定yum源:

rpm -Uvh http://yum.puppetlabs.com/el/5/products/i386/puppetlabs-release-5-7.noarch.rpm

yum clean all

yum install puppet-server(master端)

yum install puppet(agent端)

有时候会报错:

Error: Package: ruby-libs-1.8.7.374-2.el5.i386 (puppetlabs-deps)
           Requires: libtcl8.4.so
Error: Package: ruby-libs-1.8.7.374-2.el5.i386 (puppetlabs-deps)
           Requires: libtk8.4.so
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

 google之后,基本上都是是没有指定yum源,但是我开始就按照《pro puppet 2nd》和刘宇的《Puppet实战》指定了yum源,开始总是报错,后面敲上面命令却成功安装puppet,真是奇怪。

------分隔线----------------------------
发表评论
为了和诣的生活,我关闭了评论页面,请大家到QQ群里交流吧:348944156,也欢迎关注本站微信公众号:centoscn